package com.zcloud;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.zcloud.service.remote.RemoteCorpService;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import org.springframework.web.bind.annotation.PostMapping;

import javax.annotation.Resource;

/**
 * 说明：启动类
 * 作者：luoxiaobao
 * 官网：www.qdkjchina.com
 */
@SpringBootApplication//去除冲突
@MapperScan("com.zcloud.mapper")
@EnableCaching
@EnableScheduling   // 2.开启定时任务
@EnableFeignClients
public class FHmainApplication {

	public static void main(String[] args) {
		SpringApplication.run(FHmainApplication.class, args);
	}



}
